-- ############################################################################
-- #
-- #  Licensed Materials - Property of IBM
-- #  5698-EAS
-- #
-- #  (C) Copyright IBM Corp. 2002.  All Rights Reserved.
-- #
-- #  US Government Users Restricted Rights - Use, duplication or
-- #  disclosure restricted by GSA ADP Schedule Contract with
-- #  IBM Corp.
-- #
-- #   File Information: src/dbmx_ora_tedw/wep_fixpack1/cto/mart/ddl/cto_mart_schema.sql, dbmx_ora_tedw, dbmx_ora_2.2
-- #   Revision: 1.1
-- #   Date: 10/31/02 09:51:05
-- ############################################################################

--#iftag fixpack_1
create index cto.f_db_hr1 on CTO.f_database_hour (database_id);
create index cto.f_db_hr2 on CTO.f_database_hour (host_id);
create index cto.f_db_hr3 on CTO.f_database_hour (metric_id);
create index cto.f_db_hr4 on CTO.f_database_hour (meas_hour);

create index cto.f_db_day1 on CTO.f_database_day (database_id);
create index cto.f_db_day2 on CTO.f_database_day (host_id);
create index cto.f_db_day3 on CTO.f_database_day (metric_id);
create index cto.f_db_day4 on CTO.f_database_day (meas_date);

create index cto.f_db_wk1 on CTO.f_database_week (database_id);
create index cto.f_db_wk2 on CTO.f_database_week (host_id);
create index cto.f_db_wk3 on CTO.f_database_week (metric_id);
create index cto.f_db_wk4 on CTO.f_database_week (meas_date);

create index cto.f_db_mo1 on CTO.f_database_month (database_id);
create index cto.f_db_mo2 on CTO.f_database_month (host_id);
create index cto.f_db_mo3 on CTO.f_database_month (metric_id);
create index cto.f_db_mo4 on CTO.f_database_month (meas_date);

create index cto.f_lst_hr1 on CTO.f_listener_hour (listener_id);
create index cto.f_lst_hr2 on CTO.f_listener_hour (host_id);
create index cto.f_lst_hr3 on CTO.f_listener_hour (metric_id);
create index cto.f_lst_hr4 on CTO.f_listener_hour (meas_hour);

create index cto.f_lst_day1 on CTO.f_listener_day (listener_id);
create index cto.f_lst_dayr on CTO.f_listener_day (host_id);
create index cto.f_lst_day3 on CTO.f_listener_day (metric_id);
create index cto.f_lst_day4 on CTO.f_listener_day (meas_date);

create index cto.f_lst_wk1 on CTO.f_listener_week (listener_id);
create index cto.f_lst_wk2 on CTO.f_listener_week (host_id);
create index cto.f_lst_wk3 on CTO.f_listener_week (metric_id);
create index cto.f_lst_wk4 on CTO.f_listener_week (meas_date);

create index cto.f_lst_mo1 on CTO.f_listener_month (listener_id);
create index cto.f_lst_mo2 on CTO.f_listener_month (host_id);
create index cto.f_lst_mo3 on CTO.f_listener_month (metric_id);
create index cto.f_lst_mo4 on CTO.f_listener_month (meas_date);

create index cto.f_inst_hr1 on CTO.f_instance_hour (instance_id,instance_state_dttm);
create index cto.f_inst_hr2 on CTO.f_instance_hour (database_id);
create index cto.f_inst_hr3 on CTO.f_instance_hour (host_id);
create index cto.f_inst_hr4 on CTO.f_instance_hour (metric_id);
create index cto.f_inst_hr5 on CTO.f_instance_hour (meas_hour);

create index cto.f_inst_day1 on CTO.f_instance_day (instance_id,instance_state_dttm);
create index cto.f_inst_day2 on CTO.f_instance_day (database_id);
create index cto.f_inst_day3 on CTO.f_instance_day (host_id);
create index cto.f_inst_day4 on CTO.f_instance_day (metric_id);
create index cto.f_inst_day5 on CTO.f_instance_day (meas_date);

create index cto.f_inst_wk1 on CTO.f_instance_week (instance_id,instance_state_dttm);
create index cto.f_inst_wk2 on CTO.f_instance_week (database_id);
create index cto.f_inst_wk3 on CTO.f_instance_week (host_id);
create index cto.f_inst_wk4 on CTO.f_instance_week (metric_id);
create index cto.f_inst_wk5 on CTO.f_instance_week (meas_date);

create index cto.f_inst_mo1 on CTO.f_instance_month (instance_id,instance_state_dttm);
create index cto.f_inst_mo2 on CTO.f_instance_month (database_id);
create index cto.f_inst_mo3 on CTO.f_instance_month (host_id);
create index cto.f_inst_mo4 on CTO.f_instance_month (metric_id);
create index cto.f_inst_mo5 on CTO.f_instance_month (meas_date);

create index cto.f_job_hr1 on CTO.f_job_hour (job_id);
create index cto.f_job_hr2 on CTO.f_job_hour (database_id);
create index cto.f_job_hr3 on CTO.f_job_hour (host_id);
create index cto.f_job_hr4 on CTO.f_job_hour (metric_id);
create index cto.f_job_hr5 on CTO.f_job_hour (meas_hour);

create index cto.f_job_day1 on CTO.f_job_day (job_id);
create index cto.f_job_day2 on CTO.f_job_day (database_id);
create index cto.f_job_day3 on CTO.f_job_day (host_id);
create index cto.f_job_day4 on CTO.f_job_day (metric_id);
create index cto.f_job_day5 on CTO.f_job_day (meas_date);

create index cto.f_job_wk1 on CTO.f_job_week (job_id);
create index cto.f_job_wk2 on CTO.f_job_week (database_id);
create index cto.f_job_wk3 on CTO.f_job_week (host_id);
create index cto.f_job_wk4 on CTO.f_job_week (metric_id);
create index cto.f_job_wk5 on CTO.f_job_week (meas_date);

create index cto.f_job_mo1 on CTO.f_job_month (job_id);
create index cto.f_job_mo2 on CTO.f_job_month (database_id);
create index cto.f_job_mo3 on CTO.f_job_month (host_id);
create index cto.f_job_mo4 on CTO.f_job_month (metric_id);
create index cto.f_job_mo5 on CTO.f_job_month (meas_date);

create index cto.f_qu_hr1 on CTO.f_queue_hour (queue_id);
create index cto.f_qu_hr2 on CTO.f_queue_hour (database_id);
create index cto.f_qu_hr3 on CTO.f_queue_hour (host_id);
create index cto.f_qu_hr4 on CTO.f_queue_hour (metric_id);
create index cto.f_qu_hr5 on CTO.f_queue_hour (meas_hour);

create index cto.f_qu_day1 on CTO.f_queue_day (queue_id);
create index cto.f_qu_day2 on CTO.f_queue_day (database_id);
create index cto.f_qu_day3 on CTO.f_queue_day (host_id);
create index cto.f_qu_day4 on CTO.f_queue_day (metric_id);
create index cto.f_qu_day5 on CTO.f_queue_day (meas_date);

create index cto.f_qu_wk1 on CTO.f_queue_week (queue_id);
create index cto.f_qu_wk2 on CTO.f_queue_week (database_id);
create index cto.f_qu_wk3 on CTO.f_queue_week (host_id);
create index cto.f_qu_wk4 on CTO.f_queue_week (metric_id);
create index cto.f_qu_wk5 on CTO.f_queue_week (meas_date);

create index cto.f_qu_mo1 on CTO.f_queue_month (queue_id);
create index cto.f_qu_mo2 on CTO.f_queue_month (database_id);
create index cto.f_qu_mo3 on CTO.f_queue_month (host_id);
create index cto.f_qu_mo4 on CTO.f_queue_month (metric_id);
create index cto.f_qu_mo5 on CTO.f_queue_month (meas_date);

create index cto.f_tbsp_hr1 on CTO.f_tbsp_hour (tablespace_id);
create index cto.f_tbsp_hr2 on CTO.f_tbsp_hour (database_id);
create index cto.f_tbsp_hr3 on CTO.f_tbsp_hour (host_id);
create index cto.f_tbsp_hr4 on CTO.f_tbsp_hour (metric_id);
create index cto.f_tbsp_hr5 on CTO.f_tbsp_hour (meas_hour);

create index cto.f_tbsp_day1 on CTO.f_tbsp_day (tablespace_id);
create index cto.f_tbsp_day2 on CTO.f_tbsp_day (database_id);
create index cto.f_tbsp_day3 on CTO.f_tbsp_day (host_id);
create index cto.f_tbsp_day4 on CTO.f_tbsp_day (metric_id);
create index cto.f_tbsp_day5 on CTO.f_tbsp_day (meas_date);

create index cto.f_tbsp_wk1 on CTO.f_tbsp_week (tablespace_id);
create index cto.f_tbsp_wk2 on CTO.f_tbsp_week (database_id);
create index cto.f_tbsp_wk3 on CTO.f_tbsp_week (host_id);
create index cto.f_tbsp_wk4 on CTO.f_tbsp_week (metric_id);
create index cto.f_tbsp_wk5 on CTO.f_tbsp_week (meas_date);

create index cto.f_tbsp_mo1 on CTO.f_tbsp_month (tablespace_id);
create index cto.f_tbsp_mo2 on CTO.f_tbsp_month (database_id);
create index cto.f_tbsp_mo3 on CTO.f_tbsp_month (host_id);
create index cto.f_tbsp_mo4 on CTO.f_tbsp_month (metric_id);
create index cto.f_tbsp_mo5 on CTO.f_tbsp_month (meas_date);

create index cto.f_arch_hr1 on CTO.f_archive_hour (archive_id);
create index cto.f_arch_hr2 on CTO.f_archive_hour (instance_id, instance_state_dttm);
create index cto.f_arch_hr3 on CTO.f_archive_hour (database_id);
create index cto.f_arch_hr4 on CTO.f_archive_hour (host_id);
create index cto.f_arch_hr5 on CTO.f_archive_hour (metric_id);
create index cto.f_arch_hr6 on CTO.f_archive_hour (meas_hour);

create index cto.f_arch_day1 on CTO.f_archive_day (archive_id);
create index cto.f_arch_day2 on CTO.f_archive_day (instance_id, instance_state_dttm);
create index cto.f_arch_day3 on CTO.f_archive_day (database_id);
create index cto.f_arch_day4 on CTO.f_archive_day (host_id);
create index cto.f_arch_day5 on CTO.f_archive_day (metric_id);
create index cto.f_arch_day6 on CTO.f_archive_day (meas_date);

create index cto.f_arch_wk1 on CTO.f_archive_week (archive_id);
create index cto.f_arch_wk2 on CTO.f_archive_week (instance_id, instance_state_dttm);
create index cto.f_arch_wk3 on CTO.f_archive_week (database_id);
create index cto.f_arch_wk4 on CTO.f_archive_week (host_id);
create index cto.f_arch_wk5 on CTO.f_archive_week (metric_id);
create index cto.f_arch_wk6 on CTO.f_archive_week (meas_date);

create index cto.f_arch_mo1 on CTO.f_archive_month (archive_id);
create index cto.f_arch_mo2 on CTO.f_archive_month (instance_id, instance_state_dttm);
create index cto.f_arch_mo3 on CTO.f_archive_month (database_id);
create index cto.f_arch_mo4 on CTO.f_archive_month (host_id);
create index cto.f_arch_mo5 on CTO.f_archive_month (metric_id);
create index cto.f_arch_mo6 on CTO.f_archive_month (meas_date);

create index cto.f_class_hr1 on CTO.f_clsping_hour (class_id);
create index cto.f_class_hr2 on CTO.f_clsping_hour (instance_id, instance_state_dttm);
create index cto.f_class_hr3 on CTO.f_clsping_hour (database_id);
create index cto.f_class_hr4 on CTO.f_clsping_hour (host_id);
create index cto.f_class_hr5 on CTO.f_clsping_hour (metric_id);
create index cto.f_class_hr6 on CTO.f_clsping_hour (meas_hour);

create index cto.f_class_day1 on CTO.f_clsping_day (class_id);
create index cto.f_class_day2 on CTO.f_clsping_day (instance_id, instance_state_dttm);
create index cto.f_class_day3 on CTO.f_clsping_day (database_id);
create index cto.f_class_day4 on CTO.f_clsping_day (host_id);
create index cto.f_class_day5 on CTO.f_clsping_day (metric_id);
create index cto.f_class_day6 on CTO.f_clsping_day (meas_date);

create index cto.f_class_wk1 on CTO.f_clsping_week (class_id);
create index cto.f_class_wk2 on CTO.f_clsping_week (instance_id, instance_state_dttm);
create index cto.f_class_wk3 on CTO.f_clsping_week (database_id);
create index cto.f_class_wk4 on CTO.f_clsping_week (host_id);
create index cto.f_class_wk5 on CTO.f_clsping_week (metric_id);
create index cto.f_class_wk6 on CTO.f_clsping_week (meas_date);

create index cto.f_class_mo1 on CTO.f_clsping_month (class_id);
create index cto.f_class_mo2 on CTO.f_clsping_month (instance_id, instance_state_dttm);
create index cto.f_class_mo3 on CTO.f_clsping_month (database_id);
create index cto.f_class_mo4 on CTO.f_clsping_month (host_id);
create index cto.f_class_mo5 on CTO.f_clsping_month (metric_id);
create index cto.f_class_mo6 on CTO.f_clsping_month (meas_date);

create index cto.f_cl_hr1 on CTO.f_cluster_hour (cluster_id);
create index cto.f_cl_hr2 on CTO.f_cluster_hour (tablespace_id);
create index cto.f_cl_hr3 on CTO.f_cluster_hour (database_id);
create index cto.f_cl_hr4 on CTO.f_cluster_hour (host_id);
create index cto.f_cl_hr5 on CTO.f_cluster_hour (metric_id);
create index cto.f_cl_hr6 on CTO.f_cluster_hour (meas_hour);

create index cto.f_cl_day1 on CTO.f_cluster_day (cluster_id);
create index cto.f_cl_day2 on CTO.f_cluster_day (tablespace_id);
create index cto.f_cl_day3 on CTO.f_cluster_day (database_id);
create index cto.f_cl_day4 on CTO.f_cluster_day (host_id);
create index cto.f_cl_day5 on CTO.f_cluster_day (metric_id);
create index cto.f_cl_day6 on CTO.f_cluster_day (meas_date);

create index cto.f_cl_wk1 on CTO.f_cluster_week (cluster_id);
create index cto.f_cl_wk2 on CTO.f_cluster_week (tablespace_id);
create index cto.f_cl_wk3 on CTO.f_cluster_week (database_id);
create index cto.f_cl_wk4 on CTO.f_cluster_week (host_id);
create index cto.f_cl_wk5 on CTO.f_cluster_week (metric_id);
create index cto.f_cl_wk6 on CTO.f_cluster_week (meas_date);

create index cto.f_cl_mo1 on CTO.f_cluster_month (cluster_id);
create index cto.f_cl_mo2 on CTO.f_cluster_month (tablespace_id);
create index cto.f_cl_mo3 on CTO.f_cluster_month (database_id);
create index cto.f_cl_mo4 on CTO.f_cluster_month (host_id);
create index cto.f_cl_mo5 on CTO.f_cluster_month (metric_id);
create index cto.f_cl_mo6 on CTO.f_cluster_month (meas_date);

create index cto.f_df_hr1 on CTO.f_datafile_hour (datafile_id);
create index cto.f_df_hr2 on CTO.f_datafile_hour (tablespace_id);
create index cto.f_df_hr3 on CTO.f_datafile_hour (database_id);
create index cto.f_df_hr4 on CTO.f_datafile_hour (host_id);
create index cto.f_df_hr5 on CTO.f_datafile_hour (metric_id);
create index cto.f_df_hr6 on CTO.f_datafile_hour (meas_hour);

create index cto.f_df_day1 on CTO.f_datafile_day (datafile_id);
create index cto.f_df_day2 on CTO.f_datafile_day (tablespace_id);
create index cto.f_df_day3 on CTO.f_datafile_day (database_id);
create index cto.f_df_day4 on CTO.f_datafile_day (host_id);
create index cto.f_df_day5 on CTO.f_datafile_day (metric_id);
create index cto.f_df_day6 on CTO.f_datafile_day (meas_date);

create index cto.f_df_wk1 on CTO.f_datafile_week (datafile_id);
create index cto.f_df_wk2 on CTO.f_datafile_week (tablespace_id);
create index cto.f_df_wk3 on CTO.f_datafile_week (database_id);
create index cto.f_df_wk4 on CTO.f_datafile_week (host_id);
create index cto.f_df_wk5 on CTO.f_datafile_week (metric_id);
create index cto.f_df_wk6 on CTO.f_datafile_week (meas_date);

create index cto.f_df_mo1 on CTO.f_datafile_month (datafile_id);
create index cto.f_df_mo2 on CTO.f_datafile_month (tablespace_id);
create index cto.f_df_mo3 on CTO.f_datafile_month (database_id);
create index cto.f_df_mo4 on CTO.f_datafile_month (host_id);
create index cto.f_df_mo5 on CTO.f_datafile_month (metric_id);
create index cto.f_df_mo6 on CTO.f_datafile_month (meas_date);

create index cto.f_dbcach_hr1 on CTO.f_dbcachad_hour (db_cache_adv_id);
create index cto.f_dbcach_hr2 on CTO.f_dbcachad_hour (instance_id,instance_state_dttm);
create index cto.f_dbcach_hr3 on CTO.f_dbcachad_hour (database_id);
create index cto.f_dbcach_hr4 on CTO.f_dbcachad_hour (host_id);
create index cto.f_dbcach_hr5 on CTO.f_dbcachad_hour (metric_id);
create index cto.f_dbcach_hr6 on CTO.f_dbcachad_hour (meas_hour);

create index cto.f_dbcach_day1 on CTO.f_dbcachad_day (db_cache_adv_id);
create index cto.f_dbcach_day2 on CTO.f_dbcachad_day (instance_id,instance_state_dttm);
create index cto.f_dbcach_day3 on CTO.f_dbcachad_day (database_id);
create index cto.f_dbcach_day4 on CTO.f_dbcachad_day (host_id);
create index cto.f_dbcach_day5 on CTO.f_dbcachad_day (metric_id);
create index cto.f_dbcach_day6 on CTO.f_dbcachad_day (meas_date);

create index cto.f_dbcach_wk1 on CTO.f_dbcachad_week (db_cache_adv_id);
create index cto.f_dbcach_wk2 on CTO.f_dbcachad_week (instance_id,instance_state_dttm);
create index cto.f_dbcach_wk3 on CTO.f_dbcachad_week (database_id);
create index cto.f_dbcach_wk4 on CTO.f_dbcachad_week (host_id);
create index cto.f_dbcach_wk5 on CTO.f_dbcachad_week (metric_id);
create index cto.f_dbcach_wk6 on CTO.f_dbcachad_week (meas_date);

create index cto.f_dbcach_mo1 on CTO.f_dbcachad_month (db_cache_adv_id);
create index cto.f_dbcach_mo2 on CTO.f_dbcachad_month (instance_id,instance_state_dttm);
create index cto.f_dbcach_mo3 on CTO.f_dbcachad_month (database_id);
create index cto.f_dbcach_mo4 on CTO.f_dbcachad_month (host_id);
create index cto.f_dbcach_mo5 on CTO.f_dbcachad_month (metric_id);
create index cto.f_dbcach_mo6 on CTO.f_dbcachad_month (meas_date);

create index cto.f_dispro_hr1 on CTO.f_disp_prot_hour (disp_prot_id);
create index cto.f_dispro_hr2 on CTO.f_disp_prot_hour (instance_id,instance_state_dttm);
create index cto.f_dispro_hr3 on CTO.f_disp_prot_hour (database_id);
create index cto.f_dispro_hr4 on CTO.f_disp_prot_hour (host_id);
create index cto.f_dispro_hr5 on CTO.f_disp_prot_hour (metric_id);
create index cto.f_dispro_hr6 on CTO.f_disp_prot_hour (meas_hour);

create index cto.f_dispro_day1 on CTO.f_disp_prot_day (disp_prot_id);
create index cto.f_dispro_day2 on CTO.f_disp_prot_day (instance_id,instance_state_dttm);
create index cto.f_dispro_day3 on CTO.f_disp_prot_day (database_id);
create index cto.f_dispro_day4 on CTO.f_disp_prot_day (host_id);
create index cto.f_dispro_day5 on CTO.f_disp_prot_day (metric_id);
create index cto.f_dispro_day6 on CTO.f_disp_prot_day (meas_date);

create index cto.f_dispro_wk1 on CTO.f_disp_prot_week (disp_prot_id);
create index cto.f_dispro_wk2 on CTO.f_disp_prot_week (instance_id,instance_state_dttm);
create index cto.f_dispro_wk3 on CTO.f_disp_prot_week (database_id);
create index cto.f_dispro_wk4 on CTO.f_disp_prot_week (host_id);
create index cto.f_dispro_wk5 on CTO.f_disp_prot_week (metric_id);
create index cto.f_dispro_wk6 on CTO.f_disp_prot_week (meas_date);

create index cto.f_dispro_mo1 on CTO.f_disp_prot_month (disp_prot_id);
create index cto.f_dispro_mo2 on CTO.f_disp_prot_month (instance_id,instance_state_dttm);
create index cto.f_dispro_mo3 on CTO.f_disp_prot_month (database_id);
create index cto.f_dispro_mo4 on CTO.f_disp_prot_month (host_id);
create index cto.f_dispro_mo5 on CTO.f_disp_prot_month (metric_id);
create index cto.f_dispro_mo6 on CTO.f_disp_prot_month (meas_date);

create index cto.f_dpsp_hr1 on CTO.f_dumpspace_hour (dump_space_id);
create index cto.f_dpsp_hr2 on CTO.f_dumpspace_hour (instance_state_dttm);
create index cto.f_dpsp_hr3 on CTO.f_dumpspace_hour (database_id);
create index cto.f_dpsp_hr4 on CTO.f_dumpspace_hour (host_id);
create index cto.f_dpsp_hr5 on CTO.f_dumpspace_hour (metric_id);
create index cto.f_dpsp_hr6 on CTO.f_dumpspace_hour (meas_hour);

create index cto.f_dpsp_day1 on CTO.f_dumpspace_day (dump_space_id);
create index cto.f_dpsp_day2 on CTO.f_dumpspace_day (instance_state_dttm);
create index cto.f_dpsp_day3 on CTO.f_dumpspace_day (database_id);
create index cto.f_dpsp_day4 on CTO.f_dumpspace_day (host_id);
create index cto.f_dpsp_day5 on CTO.f_dumpspace_day (metric_id);
create index cto.f_dpsp_day6 on CTO.f_dumpspace_day (meas_date);

create index cto.f_dpsp_wk1 on CTO.f_dumpspace_week (dump_space_id);
create index cto.f_dpsp_wk2 on CTO.f_dumpspace_week (instance_state_dttm);
create index cto.f_dpsp_wk3 on CTO.f_dumpspace_week (database_id);
create index cto.f_dpsp_wk4 on CTO.f_dumpspace_week (host_id);
create index cto.f_dpsp_wk5 on CTO.f_dumpspace_week (metric_id);
create index cto.f_dpsp_wk6 on CTO.f_dumpspace_week (meas_date);

create index cto.f_dpsp_mo1 on CTO.f_dumpspace_month (dump_space_id);
create index cto.f_dpsp_mo2 on CTO.f_dumpspace_month (instance_state_dttm);
create index cto.f_dpsp_mo3 on CTO.f_dumpspace_month (database_id);
create index cto.f_dpsp_mo4 on CTO.f_dumpspace_month (host_id);
create index cto.f_dpsp_mo5 on CTO.f_dumpspace_month (metric_id);
create index cto.f_dpsp_mo6 on CTO.f_dumpspace_month (meas_date);

create index cto.f_hs_hr1 on CTO.f_hsagent_hour (hs_agent_id);
create index cto.f_hs_hr2 on CTO.f_hsagent_hour (instance_id,instance_state_dttm);
create index cto.f_hs_hr3 on CTO.f_hsagent_hour (database_id);
create index cto.f_hs_hr4 on CTO.f_hsagent_hour (host_id);
create index cto.f_hs_hr5 on CTO.f_hsagent_hour (metric_id);
create index cto.f_hs_hr6 on CTO.f_hsagent_hour (meas_hour);

create index cto.f_hs_day1 on CTO.f_hsagent_day (hs_agent_id);
create index cto.f_hs_day2 on CTO.f_hsagent_day (instance_id,instance_state_dttm);
create index cto.f_hs_day3 on CTO.f_hsagent_day (database_id);
create index cto.f_hs_day4 on CTO.f_hsagent_day (host_id);
create index cto.f_hs_day5 on CTO.f_hsagent_day (metric_id);
create index cto.f_hs_day6 on CTO.f_hsagent_day (meas_date);

create index cto.f_hs_wk1 on CTO.f_hsagent_week (hs_agent_id);
create index cto.f_hs_wk2 on CTO.f_hsagent_week (instance_id,instance_state_dttm);
create index cto.f_hs_wk3 on CTO.f_hsagent_week (database_id);
create index cto.f_hs_wk4 on CTO.f_hsagent_week (host_id);
create index cto.f_hs_wk5 on CTO.f_hsagent_week (metric_id);
create index cto.f_hs_wk6 on CTO.f_hsagent_week (meas_date);

create index cto.f_hs_mo1 on CTO.f_hsagent_month (hs_agent_id);
create index cto.f_hs_mo2 on CTO.f_hsagent_month (instance_id,instance_state_dttm);
create index cto.f_hs_mo3 on CTO.f_hsagent_month (database_id);
create index cto.f_hs_mo4 on CTO.f_hsagent_month (host_id);
create index cto.f_hs_mo5 on CTO.f_hsagent_month (metric_id);
create index cto.f_hs_mo6 on CTO.f_hsagent_month (meas_date);

create index cto.f_pq_hr1 on CTO.f_pq_slave_hour (pq_slave_id);
create index cto.f_pq_hr2 on CTO.f_pq_slave_hour (instance_id, instance_state_dttm);
create index cto.f_pq_hr3 on CTO.f_pq_slave_hour (database_id);
create index cto.f_pq_hr4 on CTO.f_pq_slave_hour (host_id);
create index cto.f_pq_hr5 on CTO.f_pq_slave_hour (metric_id);
create index cto.f_pq_hr6 on CTO.f_pq_slave_hour (meas_hour);

create index cto.f_pq_day1 on CTO.f_pq_slave_day (pq_slave_id);
create index cto.f_pq_day2 on CTO.f_pq_slave_day (instance_id, instance_state_dttm);
create index cto.f_pq_day3 on CTO.f_pq_slave_day (database_id);
create index cto.f_pq_day4 on CTO.f_pq_slave_day (host_id);
create index cto.f_pq_day5 on CTO.f_pq_slave_day (metric_id);
create index cto.f_pq_day6 on CTO.f_pq_slave_day (meas_date);

create index cto.f_pq_wk1 on CTO.f_pq_slave_week (pq_slave_id);
create index cto.f_pq_wk2 on CTO.f_pq_slave_week (instance_id, instance_state_dttm);
create index cto.f_pq_wk3 on CTO.f_pq_slave_week (database_id);
create index cto.f_pq_wk4 on CTO.f_pq_slave_week (host_id);
create index cto.f_pq_wk5 on CTO.f_pq_slave_week (metric_id);
create index cto.f_pq_wk6 on CTO.f_pq_slave_week (meas_date);

create index cto.f_pq_mo1 on CTO.f_pq_slave_month (pq_slave_id);
create index cto.f_pq_mo2 on CTO.f_pq_slave_month (instance_id, instance_state_dttm);
create index cto.f_pq_mo3 on CTO.f_pq_slave_month (database_id);
create index cto.f_pq_mo4 on CTO.f_pq_slave_month (host_id);
create index cto.f_pq_mo5 on CTO.f_pq_slave_month (metric_id);
create index cto.f_pq_mo6 on CTO.f_pq_slave_month (meas_date);

create index cto.f_proc_hr1 on CTO.f_process_hour (process_id);
create index cto.f_proc_hr2 on CTO.f_process_hour (instance_id, instance_state_dttm);
create index cto.f_proc_hr3 on CTO.f_process_hour (database_id);
create index cto.f_proc_hr4 on CTO.f_process_hour (host_id);
create index cto.f_proc_hr5 on CTO.f_process_hour (metric_id);
create index cto.f_proc_hr6 on CTO.f_process_hour (meas_hour);

create index cto.f_proc_day1 on CTO.f_process_day (process_id);
create index cto.f_proc_day2 on CTO.f_process_day (instance_id, instance_state_dttm);
create index cto.f_proc_day3 on CTO.f_process_day (database_id);
create index cto.f_proc_day4 on CTO.f_process_day (host_id);
create index cto.f_proc_day5 on CTO.f_process_day (metric_id);
create index cto.f_proc_day6 on CTO.f_process_day (meas_date);

create index cto.f_proc_wk1 on CTO.f_process_week (process_id);
create index cto.f_proc_wk2 on CTO.f_process_week (instance_id, instance_state_dttm);
create index cto.f_proc_wk3 on CTO.f_process_week (database_id);
create index cto.f_proc_wk4 on CTO.f_process_week (host_id);
create index cto.f_proc_wk5 on CTO.f_process_week (metric_id);
create index cto.f_proc_wk6 on CTO.f_process_week (meas_date);

create index cto.f_proc_mo1 on CTO.f_process_month (process_id);
create index cto.f_proc_mo2 on CTO.f_process_month (instance_id, instance_state_dttm);
create index cto.f_proc_mo3 on CTO.f_process_month (database_id);
create index cto.f_proc_mo4 on CTO.f_process_month (host_id);
create index cto.f_proc_mo5 on CTO.f_process_month (metric_id);
create index cto.f_proc_mo6 on CTO.f_process_month (meas_date);

create index cto.f_qusch_hr1 on CTO.f_quesched_hour (queue_sched_id);
create index cto.f_qusch_hr2 on CTO.f_quesched_hour (queue_id);
create index cto.f_qusch_hr3 on CTO.f_quesched_hour (database_id);
create index cto.f_qusch_hr4 on CTO.f_quesched_hour (host_id);
create index cto.f_qusch_hr5 on CTO.f_quesched_hour (metric_id);
create index cto.f_qusch_hr6 on CTO.f_quesched_hour (meas_hour);

create index cto.f_qusch_day1 on CTO.f_quesched_day (queue_sched_id);
create index cto.f_qusch_day2 on CTO.f_quesched_day (queue_id);
create index cto.f_qusch_day3 on CTO.f_quesched_day (database_id);
create index cto.f_qusch_day4 on CTO.f_quesched_day (host_id);
create index cto.f_qusch_day5 on CTO.f_quesched_day (metric_id);
create index cto.f_qusch_day6 on CTO.f_quesched_day (meas_date);

create index cto.f_qusch_wk1 on CTO.f_quesched_week (queue_sched_id);
create index cto.f_qusch_wk2 on CTO.f_quesched_week (queue_id);
create index cto.f_qusch_wk3 on CTO.f_quesched_week (database_id);
create index cto.f_qusch_wk4 on CTO.f_quesched_week (host_id);
create index cto.f_qusch_wk5 on CTO.f_quesched_week (metric_id);
create index cto.f_qusch_wk6 on CTO.f_quesched_week (meas_date);

create index cto.f_qusch_mo1 on CTO.f_quesched_month (queue_sched_id);
create index cto.f_qusch_mo2 on CTO.f_quesched_month (queue_id);
create index cto.f_qusch_mo3 on CTO.f_quesched_month (database_id);
create index cto.f_qusch_mo4 on CTO.f_quesched_month (host_id);
create index cto.f_qusch_mo5 on CTO.f_quesched_month (metric_id);
create index cto.f_qusch_mo6 on CTO.f_quesched_month (meas_date);

create index cto.f_rdgrp_hr1 on CTO.f_redologrp_hour (redolog_grp_id);
create index cto.f_rdgrp_hr2 on CTO.f_redologrp_hour (instance_id, instance_state_dttm);
create index cto.f_rdgrp_hr3 on CTO.f_redologrp_hour (database_id);
create index cto.f_rdgrp_hr4 on CTO.f_redologrp_hour (host_id);
create index cto.f_rdgrp_hr5 on CTO.f_redologrp_hour (metric_id);
create index cto.f_rdgrp_hr6 on CTO.f_redologrp_hour (meas_hour);

create index cto.f_rdgrp_day1 on CTO.f_redologrp_day (redolog_grp_id);
create index cto.f_rdgrp_day2 on CTO.f_redologrp_day (instance_id, instance_state_dttm);
create index cto.f_rdgrp_day3 on CTO.f_redologrp_day (database_id);
create index cto.f_rdgrp_day4 on CTO.f_redologrp_day (host_id);
create index cto.f_rdgrp_day5 on CTO.f_redologrp_day (metric_id);
create index cto.f_rdgrp_day6 on CTO.f_redologrp_day (meas_date);

create index cto.f_rdgrp_wk1 on CTO.f_redologrp_week (redolog_grp_id);
create index cto.f_rdgrp_wk2 on CTO.f_redologrp_week (instance_id, instance_state_dttm);
create index cto.f_rdgrp_wk3 on CTO.f_redologrp_week (database_id);
create index cto.f_rdgrp_wk4 on CTO.f_redologrp_week (host_id);
create index cto.f_rdgrp_wk5 on CTO.f_redologrp_week (metric_id);
create index cto.f_rdgrp_wk6 on CTO.f_redologrp_week (meas_date);

create index cto.f_rdgrp_mo1 on CTO.f_redologrp_month (redolog_grp_id);
create index cto.f_rdgrp_mo2 on CTO.f_redologrp_month (instance_id, instance_state_dttm);
create index cto.f_rdgrp_mo3 on CTO.f_redologrp_month (database_id);
create index cto.f_rdgrp_mo4 on CTO.f_redologrp_month (host_id);
create index cto.f_rdgrp_mo5 on CTO.f_redologrp_month (metric_id);
create index cto.f_rdgrp_mo6 on CTO.f_redologrp_month (meas_date);

create index cto.f_sg_hr1 on CTO.f_segment_hour (segment_id);
create index cto.f_sg_hr2 on CTO.f_segment_hour (tablespace_id);
create index cto.f_sg_hr3 on CTO.f_segment_hour (database_id);
create index cto.f_sg_hr4 on CTO.f_segment_hour (host_id);
create index cto.f_sg_hr5 on CTO.f_segment_hour (metric_id);
create index cto.f_sg_hr6 on CTO.f_segment_hour (meas_hour);

create index cto.f_sg_day1 on CTO.f_segment_day (segment_id);
create index cto.f_sg_day2 on CTO.f_segment_day (tablespace_id);
create index cto.f_sg_day3 on CTO.f_segment_day (database_id);
create index cto.f_sg_day4 on CTO.f_segment_day (host_id);
create index cto.f_sg_day5 on CTO.f_segment_day (metric_id);
create index cto.f_sg_day6 on CTO.f_segment_day (meas_date);

create index cto.f_sg_wk1 on CTO.f_segment_week (segment_id);
create index cto.f_sg_wk2 on CTO.f_segment_week (tablespace_id);
create index cto.f_sg_wk3 on CTO.f_segment_week (database_id);
create index cto.f_sg_wk4 on CTO.f_segment_week (host_id);
create index cto.f_sg_wk5 on CTO.f_segment_week (metric_id);
create index cto.f_sg_wk6 on CTO.f_segment_week (meas_date);

create index cto.f_sg_mo1 on CTO.f_segment_month (segment_id);
create index cto.f_sg_mo2 on CTO.f_segment_month (tablespace_id);
create index cto.f_sg_mo3 on CTO.f_segment_month (database_id);
create index cto.f_sg_mo4 on CTO.f_segment_month (host_id);
create index cto.f_sg_mo5 on CTO.f_segment_month (metric_id);
create index cto.f_sg_mo6 on CTO.f_segment_month (meas_date);

create index cto.f_sysevt_hr1 on CTO.f_sys_event_hour (sys_event_id);
create index cto.f_sysevt_hr2 on CTO.f_sys_event_hour (instance_id, instance_state_dttm);
create index cto.f_sysevt_hr3 on CTO.f_sys_event_hour (database_id);
create index cto.f_sysevt_hr4 on CTO.f_sys_event_hour (host_id);
create index cto.f_sysevt_hr5 on CTO.f_sys_event_hour (metric_id);
create index cto.f_sysevt_hr6 on CTO.f_sys_event_hour (meas_hour);

create index cto.f_sysevt_day1 on CTO.f_sys_event_day (sys_event_id);
create index cto.f_sysevt_day2 on CTO.f_sys_event_day (instance_id, instance_state_dttm);
create index cto.f_sysevt_day3 on CTO.f_sys_event_day (database_id);
create index cto.f_sysevt_day4 on CTO.f_sys_event_day (host_id);
create index cto.f_sysevt_day5 on CTO.f_sys_event_day (metric_id);
create index cto.f_sysevt_day6 on CTO.f_sys_event_day (meas_date);

create index cto.f_sysevt_wk1 on CTO.f_sys_event_week (sys_event_id);
create index cto.f_sysevt_wk2 on CTO.f_sys_event_week (instance_id, instance_state_dttm);
create index cto.f_sysevt_wk3 on CTO.f_sys_event_week (database_id);
create index cto.f_sysevt_wk4 on CTO.f_sys_event_week (host_id);
create index cto.f_sysevt_wk5 on CTO.f_sys_event_week (metric_id);
create index cto.f_sysevt_wk6 on CTO.f_sys_event_week (meas_date);

create index cto.f_sysevt_mo1 on CTO.f_sys_event_month (sys_event_id);
create index cto.f_sysevt_mo2 on CTO.f_sys_event_month (instance_id, instance_state_dttm);
create index cto.f_sysevt_mo3 on CTO.f_sys_event_month (database_id);
create index cto.f_sysevt_mo4 on CTO.f_sys_event_month (host_id);
create index cto.f_sysevt_mo5 on CTO.f_sys_event_month (metric_id);
create index cto.f_sysevt_mo6 on CTO.f_sys_event_month (meas_date);

create index cto.f_tb_hr1 on CTO.f_table_hour (table_id);
create index cto.f_tb_hr2 on CTO.f_table_hour (tablespace_id);
create index cto.f_tb_hr3 on CTO.f_table_hour (database_id);
create index cto.f_tb_hr4 on CTO.f_table_hour (host_id);
create index cto.f_tb_hr5 on CTO.f_table_hour (metric_id);
create index cto.f_tb_hr6 on CTO.f_table_hour (meas_hour);

create index cto.f_tb_day1 on CTO.f_table_day (table_id);
create index cto.f_tb_day2 on CTO.f_table_day (tablespace_id);
create index cto.f_tb_day3 on CTO.f_table_day (database_id);
create index cto.f_tb_day4 on CTO.f_table_day (host_id);
create index cto.f_tb_day5 on CTO.f_table_day (metric_id);
create index cto.f_tb_day6 on CTO.f_table_day (meas_date);

create index cto.f_tb_wk1 on CTO.f_table_week (table_id);
create index cto.f_tb_wk2 on CTO.f_table_week (tablespace_id);
create index cto.f_tb_wk3 on CTO.f_table_week (database_id);
create index cto.f_tb_wk4 on CTO.f_table_week (host_id);
create index cto.f_tb_wk5 on CTO.f_table_week (metric_id);
create index cto.f_tb_wk6 on CTO.f_table_week (meas_date);

create index cto.f_tb_mo1 on CTO.f_table_month (table_id);
create index cto.f_tb_mo2 on CTO.f_table_month (tablespace_id);
create index cto.f_tb_mo3 on CTO.f_table_month (database_id);
create index cto.f_tb_mo4 on CTO.f_table_month (host_id);
create index cto.f_tb_mo5 on CTO.f_table_month (metric_id);
create index cto.f_tb_mo6 on CTO.f_table_month (meas_date);

create index cto.f_ndst_hr1 on CTO.f_undo_stat_hour (undo_stat_id);
create index cto.f_ndst_hr2 on CTO.f_undo_stat_hour (instance_id,instance_state_dttm);
create index cto.f_ndst_hr3 on CTO.f_undo_stat_hour (database_id);
create index cto.f_ndst_hr4 on CTO.f_undo_stat_hour (host_id);
create index cto.f_ndst_hr5 on CTO.f_undo_stat_hour (metric_id);
create index cto.f_ndst_hr6 on CTO.f_undo_stat_hour (meas_hour);

create index cto.f_ndst_day1 on CTO.f_undo_stat_day (undo_stat_id);
create index cto.f_ndst_day2 on CTO.f_undo_stat_day (instance_id,instance_state_dttm);
create index cto.f_ndst_day3 on CTO.f_undo_stat_day (database_id);
create index cto.f_ndst_day4 on CTO.f_undo_stat_day (host_id);
create index cto.f_ndst_day5 on CTO.f_undo_stat_day (metric_id);
create index cto.f_ndst_day6 on CTO.f_undo_stat_day (meas_date);

create index cto.f_ndst_wk1 on CTO.f_undo_stat_week (undo_stat_id);
create index cto.f_ndst_wk2 on CTO.f_undo_stat_week (instance_id,instance_state_dttm);
create index cto.f_ndst_wk3 on CTO.f_undo_stat_week (database_id);
create index cto.f_ndst_wk4 on CTO.f_undo_stat_week (host_id);
create index cto.f_ndst_wk5 on CTO.f_undo_stat_week (metric_id);
create index cto.f_ndst_wk6 on CTO.f_undo_stat_week (meas_date);

create index cto.f_ndst_mo1 on CTO.f_undo_stat_month (undo_stat_id);
create index cto.f_ndst_mo2 on CTO.f_undo_stat_month (instance_id,instance_state_dttm);
create index cto.f_ndst_mo3 on CTO.f_undo_stat_month (database_id);
create index cto.f_ndst_mo4 on CTO.f_undo_stat_month (host_id);
create index cto.f_ndst_mo5 on CTO.f_undo_stat_month (metric_id);
create index cto.f_ndst_mo6 on CTO.f_undo_stat_month (meas_date);

create index cto.f_disp_hr1 on CTO.f_dispatch_hour (dispatcher_id);
create index cto.f_disp_hr2 on CTO.f_dispatch_hour (protocole_id);
create index cto.f_disp_hr3 on CTO.f_dispatch_hour (instance_id, instance_state_dttm);
create index cto.f_disp_hr4 on CTO.f_dispatch_hour (database_id);
create index cto.f_disp_hr5 on CTO.f_dispatch_hour (host_id);
create index cto.f_disp_hr6 on CTO.f_dispatch_hour (metric_id);
create index cto.f_disp_hr7 on CTO.f_dispatch_hour (meas_hour);

create index cto.f_disp_day1 on CTO.f_dispatch_day (dispatcher_id);
create index cto.f_disp_day2 on CTO.f_dispatch_day (protocole_id);
create index cto.f_disp_day3 on CTO.f_dispatch_day (instance_id, instance_state_dttm);
create index cto.f_disp_day4 on CTO.f_dispatch_day (database_id);
create index cto.f_disp_day5 on CTO.f_dispatch_day (host_id);
create index cto.f_disp_day6 on CTO.f_dispatch_day (metric_id);
create index cto.f_disp_day7 on CTO.f_dispatch_day (meas_date);

create index cto.f_disp_wk1 on CTO.f_dispatch_week (dispatcher_id);
create index cto.f_disp_wk2 on CTO.f_dispatch_week (protocole_id);
create index cto.f_disp_wk3 on CTO.f_dispatch_week (instance_id, instance_state_dttm);
create index cto.f_disp_wk4 on CTO.f_dispatch_week (database_id);
create index cto.f_disp_wk5 on CTO.f_dispatch_week (host_id);
create index cto.f_disp_wk6 on CTO.f_dispatch_week (metric_id);
create index cto.f_disp_wk7 on CTO.f_dispatch_week (meas_date);	

create index cto.f_disp_mo1 on CTO.f_dispatch_month (dispatcher_id);
create index cto.f_disp_mo2 on CTO.f_dispatch_month (protocole_id);
create index cto.f_disp_mo3 on CTO.f_dispatch_month (instance_id, instance_state_dttm);
create index cto.f_disp_mo4 on CTO.f_dispatch_month (database_id);
create index cto.f_disp_mo5 on CTO.f_dispatch_month (host_id);
create index cto.f_disp_mo6 on CTO.f_dispatch_month (metric_id);
create index cto.f_disp_mo7 on CTO.f_dispatch_month (meas_date);

create index cto.f_indx_hr1 on CTO.f_index_hour (index_id);
create index cto.f_indx_hr2 on CTO.f_index_hour (table_id);
create index cto.f_indx_hr3 on CTO.f_index_hour (tablespace_id);
create index cto.f_indx_hr4 on CTO.f_index_hour (database_id);
create index cto.f_indx_hr5 on CTO.f_index_hour (host_id);
create index cto.f_indx_hr6 on CTO.f_index_hour (metric_id);
create index cto.f_indx_hr7 on CTO.f_index_hour (meas_hour);

create index cto.f_indx_day1 on CTO.f_index_day (index_id);
create index cto.f_indx_day2 on CTO.f_index_day (table_id);
create index cto.f_indx_day3 on CTO.f_index_day (tablespace_id);
create index cto.f_indx_day4 on CTO.f_index_day (database_id);
create index cto.f_indx_day5 on CTO.f_index_day (host_id);
create index cto.f_indx_day6 on CTO.f_index_day (metric_id);
create index cto.f_indx_day7 on CTO.f_index_day (meas_date);

create index cto.f_indx_wk1 on CTO.f_index_week (index_id);
create index cto.f_indx_wk2 on CTO.f_index_week (table_id);
create index cto.f_indx_wk3 on CTO.f_index_week (tablespace_id);
create index cto.f_indx_wk4 on CTO.f_index_week (database_id);
create index cto.f_indx_wk5 on CTO.f_index_week (host_id);
create index cto.f_indx_wk6 on CTO.f_index_week (metric_id);
create index cto.f_indx_wk7 on CTO.f_index_week (meas_date);

create index cto.f_indx_mo1 on CTO.f_index_month (index_id);
create index cto.f_indx_mo2 on CTO.f_index_month (table_id);
create index cto.f_indx_mo3 on CTO.f_index_month (tablespace_id);
create index cto.f_indx_mo4 on CTO.f_index_month (database_id);
create index cto.f_indx_mo5 on CTO.f_index_month (host_id);
create index cto.f_indx_mo6 on CTO.f_index_month (metric_id);
create index cto.f_indx_mo7 on CTO.f_index_month (meas_date);

create index cto.f_ShServ_hr1 on CTO.f_shareserv_hour (shared_serv_id);
create index cto.f_ShServ_hr2 on CTO.f_shareserv_hour (process_id);
create index cto.f_ShServ_hr3 on CTO.f_shareserv_hour (instance_id, instance_state_dttm);
create index cto.f_ShServ_hr4 on CTO.f_shareserv_hour (database_id);
create index cto.f_ShServ_hr5 on CTO.f_shareserv_hour (host_id);
create index cto.f_ShServ_hr6 on CTO.f_shareserv_hour (metric_id);
create index cto.f_ShServ_hr7 on CTO.f_shareserv_hour (meas_hour);

create index cto.f_ShServ_day1 on CTO.f_shareserv_day (shared_serv_id);
create index cto.f_ShServ_day2 on CTO.f_shareserv_day (process_id);
create index cto.f_ShServ_day3 on CTO.f_shareserv_day (instance_id, instance_state_dttm);
create index cto.f_ShServ_day4 on CTO.f_shareserv_day (database_id);
create index cto.f_ShServ_day5 on CTO.f_shareserv_day (host_id);
create index cto.f_ShServ_day6 on CTO.f_shareserv_day (metric_id);
create index cto.f_ShServ_day7 on CTO.f_shareserv_day (meas_date);

create index cto.f_ShServ_wk1 on CTO.f_shareserv_week (shared_serv_id);
create index cto.f_ShServ_wk2 on CTO.f_shareserv_week (process_id);
create index cto.f_ShServ_wk3 on CTO.f_shareserv_week (instance_id, instance_state_dttm);
create index cto.f_ShServ_wk4 on CTO.f_shareserv_week (database_id);
create index cto.f_ShServ_wk5 on CTO.f_shareserv_week (host_id);
create index cto.f_ShServ_wk6 on CTO.f_shareserv_week (metric_id);
create index cto.f_ShServ_wk7 on CTO.f_shareserv_week (meas_date);

create index cto.f_ShServ_mo1 on CTO.f_shareserv_month (shared_serv_id);
create index cto.f_ShServ_mo2 on CTO.f_shareserv_month (process_id);
create index cto.f_ShServ_mo3 on CTO.f_shareserv_month (instance_id, instance_state_dttm);
create index cto.f_ShServ_mo4 on CTO.f_shareserv_month (database_id);
create index cto.f_ShServ_mo5 on CTO.f_shareserv_month (host_id);
create index cto.f_ShServ_mo6 on CTO.f_shareserv_month (metric_id);
create index cto.f_ShServ_mo7 on CTO.f_shareserv_month (meas_date);

--#endtag fixpack_1  
